Skip to main content

Update Applicant: Buildium

PUThttps://api.propexo.com/v1/applicants/buildium/:id
InterfaceMethod
ApplicantsPUT /applicants/:applicantId

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    last_namestring

    The last name associated with the applicant

    first_namestring

    The first name associated with the applicant

    unit_idstring

    The Propexo unique identifier for the unit

    email_1string<email>

    The primary email address associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    last_namestring

    The last name associated with the applicant

    first_namestring

    The first name associated with the applicant

    unit_idstring

    The Propexo unique identifier for the unit

    email_1string<email>

    The primary email address associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    HOMEWORKMOBILEFAX

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/buildium/:id
curl -X PUT https://api.propexo.com/v1/applicants/buildium/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"unit_id": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"unit_id": "string",
"email_1": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}